PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_ssyrfb | ( | PLASMA_enum | uplo,
|  | int | n,
|  | int | k,
|  | int | ib,
|  | int | nb,
|  | const float * | A,
|  | int | lda,
|  | const float * | T,
|  | int | ldt,
|  | float * | C,
|  | int | ldc,
|  | float * | WORK,
|  | int | ldwork
| ) |  |

CORE_ssyrfb overwrites the symmetric complex N-by-N tile C with

Q**T*C*Q

where Q is a complex unitary matrix defined as the product of k elementary reflectors

Q = H(1) H(2) . . . H(k)

as returned by CORE_sgeqrt. Only PlasmaLower supported!

Parameters

  [in] | uplo | PlasmaLower : the upper part of the symmetric matrix C is not referenced. PlasmaUpper : the lower part of the symmetric matrix C is not referenced (not supported).
  [in] | n | The number of rows/columns of the tile C. N >= 0.
  [in] | k | The number of elementary reflectors whose product defines the matrix Q. K >= 0.
  [in] | ib | The inner-blocking size. IB >= 0.
  [in] | nb | The blocking size. NB >= 0.
  [in] | A | The i-th column must contain the vector which defines the elementary reflector H(i), for i = 1,2,...,k, as returned by CORE_sgeqrt in the first k columns of its array argument A.
  [in] | lda | The leading dimension of the array A. LDA >= max(1,N).
  [in] | T | The IB-by-K triangular factor T of the block reflector. T is upper triangular by block (economic storage); The rest of the array is not referenced.
  [in] | ldt | The leading dimension of the array T. LDT >= IB.
  [in,out] | C | On entry, the symmetric N-by-N tile C. On exit, C is overwritten by Q**T*C*Q.
  [in] | ldc | The leading dimension of the array C. LDC >= max(1,M).
  [in,out] | WORK | On exit, if INFO = 0, WORK(1) returns the optimal LDWORK.
  [in] | ldwork | The dimension of the array WORK. LDWORK >= max(1,N);

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value